GET api/Driver/GetList?page={page}&pagesize={pagesize}&deptId={deptId}&ssdw={ssdw}&key={key}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| page | integer |
Required |
|
| pagesize | integer |
Required |
|
| deptId | integer |
Default value is 0 |
|
| ssdw | string |
Default value is |
|
| key | string |
Default value is |
Body Parameters
None.
Response Information
Resource Description
ServerResponseOfListOfbase_driver_withtransport| Name | Description | Type | Additional information |
|---|---|---|---|
| Entity | Collection of base_driver_withtransport |
None. |
|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"Entity": [
{
"transportname": "sample string 1",
"id": 2,
"dept_id": 3,
"name": "sample string 4",
"ssdw": 5,
"phoneno": "sample string 6",
"addtime": "2026-03-26T14:30:25.9414891+08:00"
},
{
"transportname": "sample string 1",
"id": 2,
"dept_id": 3,
"name": "sample string 4",
"ssdw": 5,
"phoneno": "sample string 6",
"addtime": "2026-03-26T14:30:25.9414891+08:00"
}
],
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponseOfArrayOfbase_driver_withtransport_PZC5QaEm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField><_x003C_Entity_x003E_k__BackingField xmlns:d2p1="http://schemas.datacontract.org/2004/07/Easyman.Model"><d2p1:base_driver_withtransport><d2p1:addtime>2026-03-26T14:30:25.9414891+08:00</d2p1:addtime><d2p1:dept_id>3</d2p1:dept_id><d2p1:id>2</d2p1:id><d2p1:name>sample string 4</d2p1:name><d2p1:phoneno>sample string 6</d2p1:phoneno><d2p1:ssdw>5</d2p1:ssdw><d2p1:transportname>sample string 1</d2p1:transportname></d2p1:base_driver_withtransport><d2p1:base_driver_withtransport><d2p1:addtime>2026-03-26T14:30:25.9414891+08:00</d2p1:addtime><d2p1:dept_id>3</d2p1:dept_id><d2p1:id>2</d2p1:id><d2p1:name>sample string 4</d2p1:name><d2p1:phoneno>sample string 6</d2p1:phoneno><d2p1:ssdw>5</d2p1:ssdw><d2p1:transportname>sample string 1</d2p1:transportname></d2p1:base_driver_withtransport></_x003C_Entity_x003E_k__BackingField></ServerResponseOfArrayOfbase_driver_withtransport_PZC5QaEm>